<?php

/*----------------------------------------------------------------------------------
  SAMPLE CONFIG FILE:
  Rename or copy this file as '_cfg.php'.
  -------------------------------------------------------------------------------------------------------------------------------------------

  Listed below are the configuration options for your website. Edit them carefully, ensuring that you do NOT
  remove any semi colons OR anything that is displayed in CAPITAL letters (values on left). These are important to the program.

  Escape apostrophes. eg: \'

--------------------------------------------------------------------------------------------------------------------------------------------*/

/*=====================================================================================
  1. CONFIG
     Specify your contact form preferences.
=======================================================================================*/

/* Website details
---------------------------------------------------------*/

define('WEBSITE_NAME', 'Your website name goes here');
define('HOMEPAGE_URL', 'https://www.example.com');

/* Contact form options
---------------------------------------------------------*/

define('FORM_TITLE', 'Name of contact form goes here');
define('LANGFILE', 'english.php'); // MUST exist in content/lang/
define('CHARSET', 'utf-8');
define('LANG', 'en');
define('DIR', 'ltr');
define('REDIRECT_TO_URL', '');

/* Captcha options (for spam prevention)
   Options in control/classes/class.captcha.php
---------------------------------------------------------*/

define('ENABLE_CAPTCHA', 1);


/*===========================================================================
  2. DEFINE ERROR CHECKING
     For which fields do you want error checking to be enabled?
     0 = Off, 1 = On
=============================================================================*/


define('NAME_CHECK', 1);
define('SUBJECT_CHECK', 1);
define('EMAIL_CHECK', 1);
define('COMMENTS_CHECK', 1);


/*=======================================================
  3. ATTACHMENTS
=========================================================*/


/* How many attachment fields do you require? ie: 3
   0 disables the attachments
------------------------------------------------------------------*/

define('ATTACHMENTS', 2);

/* Allowable attachment file types..
   This is not case sensitive. PDF and pdf are the same
   Separate with comma
------------------------------------------------------------------*/

define('ALLOWED_EXTENSIONS', 'pdf,doc,zip,rar,txt');

/* Maximum file size for attachments. In Bytes.
   Examples:
   1024 x 1024 = 1048576Bytes (or 1MB)
   1024 x 200  = 204800Bytes (or 200KB)
   Set to 0 for no limit
------------------------------------------------------------------*/

define('MAX_FILE_SIZE', '204800');

/* Clean file name.
   Remove foreign characters from file names that could cause upload problems.
------------------------------------------------------------------------------------*/

define('CLEAN_FILE_NAME', 0);

/* Error checking. Is at least 1 attachment required?
   0 = No, 1 = Yes
------------------------------------------------------------------*/

define('ATTACH_ERROR_CHECK', 1);


/*=======================================================
  4. SMTP SETTINGS
=========================================================*/


define('SMTP_HOST', 'Your smtp host or IP goes here');
define('SMTP_USER', 'Your smtp username goes here');
define('SMTP_PASS', 'Your smtp password goes here');
define('SMTP_PORT', 587);
define('SMTP_SECURITY', ''); // ssl, tls or blank

/* For problems sending over ssl if certificate not installed correctly.
   A workaround, but not recommended
----------------------------------------------------------------------------*/

define('ALLOW_INSECURE', 0);

/* From / to headers
--------------------------------------------------------------*/

define('TO_NAME', 'Your to name goes here');
define('TO_EMAIL', 'Your to email address goes here');
define('FROM_NAME', 'Your from name goes here');
define('FROM_EMAIL', 'Your from email address goes here');
define('REPLY_TO_NAME', 'Your reply-to name goes here');
define('REPLY_TO_EMAIL', 'Your reply-to address goes here');

/* Additional emails to send form data to. Comma delimit.
   If left blank, sends only to 'to_email' set previously.
--------------------------------------------------------------------*/

define('ADDITIONAL_EMAILS', '');

/* Mail charset
----------------------------------------------------*/

define('MAIL_CHARSET', 'utf-8');

/* Appears in x-header, usually defaults to PHPMailer if left blank
----------------------------------------------------------------------*/

define('MAIL_X_MAIL_HEADER', '');

/* Debugging. Enable to troubleshoot mail issues.
------------------------------------------------------------------*/

define('SMTP_DEBUG', 0);
define('SMTP_LOG_DIR', 'logs');
define('SMTP_LOG', 'mail-debug.log');

/* Send auto responder e-mail to visitor?
   1 = yes, 0 = no
----------------------------------------------------------------*/

define('AUTO_RESPONDER', 1);


/*=======================================================
  5. LOGGING
=========================================================*/


/* Log messages to txt file?
   1 = Yes, 0 = No
----------------------------------------------------*/

define('LOG_MESSAGES', 0);
define('LOG_FILE_DIR', 'logs');
define('LOG_FILE_NAME', 'messages.log');
define('TIMEZONE', 'Europe/London');
define('DATE_TIME_FORMAT', 'j F Y @ H:iA');


/*=======================================================
  6. ENCRYPTION STRING
=========================================================*/


// For captcha generation
// Generate hash @ https://www.maianmedia.com/services/keys/
define('SECRET_KEY', 'maian-mail-code');

?>