<?php

/* SOFTWARE LOADER
   DO NOT change this file
----------------------------------*/

header('Expires: Sun, 01 Jan 2014 00:00:00 GMT');
header('Cache-Control: no-store, no-cache, must-revalidate');
header('Cache-Control: post-check=0, pre-check=0', FALSE);
header('Pragma: no-cache');
header('Content-type: text/html; charset=utf-8');
if (isset($_SERVER['HTTP_USER_AGENT']) && (strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE') !== false)) {
  header('X-UA-Compatible: IE=edge,chrome=1');
}

// Define constants..
define('PATH', __dir__.'/');
define('PARENT',1);
define('SCRIPT_NAME', 'Maian Mail');
define('SCRIPT_VERSION', '4.1');

// SESSION
$ini_get = ini_get_all();
if (isset($ini_get['session.cookie_httponly'])) {
  ini_set('session.cookie_httponly', 1);
}
session_start();

if (version_compare(phpversion(), '7.0', '<')) {
  die('PHP version too old, PHPv7.0 or higher required');
}

if(file_exists(PATH . 'control/_cfg.php')){include(PATH . 'control/_cfg.php');}else{die('File "control/_cfg.php" is missing, please see installation instructions.');}
if (version_compare(PHP_VERSION, '8.0.0') >= 0) {
  include(PATH . 'control/lib/tracy/vendor/tracy/tracy/src/tracy.php');
}
use Tracy\Debugger;
if (version_compare(PHP_VERSION, '8.0.0') >= 0) {
  // For development, report everything and enable tracy bar
  Debugger::$showBar = (defined('DEVELOPMENT_ENV') ? true : false);
  Debugger::$strictMode = (defined('DEVELOPMENT_ENV') ? true : false);
  Debugger::enable(Debugger::DEVELOPMENT, PATH . 'logs');
}

// Load include files..
include(PATH . 'control/functions.php');
include(PATH . 'content/lang/' . (LANGFILE && file_exists(PATH . 'lang/' . LANGFILE) ? LANGFILE : 'english.php'));
include(PATH . 'control/classes/mailer/class.mail.php');
include(PATH . 'control/classes/class.form.php');
include(PATH . 'control/classes/class.json.php');
include(PATH . 'control/lib/Savant3.php');
include(PATH . 'control/classes/class.captcha.php');

// JSON..
$JSON = new json();
$FORM = new form();
$MAIL = new mailer();
$MAIL->addTag('{HOMEPAGE}', WEBSITE_NAME);
$MAIL->addTag('{HOMELINK}', HOMEPAGE_URL);
$MAIL->addTag('{IP}', ip());

// Default vars..
$attachments  = [];
$aErrorArray  = [];
$captcha_rel  = 'no';

// Parse data..
switch ((isset($_GET['op']) ? $_GET['op'] : '')) {
  case 'ajx':
    $_POST = array_map('clean', $_POST);
    $fm = array(
      'name' => (isset($_POST['name']) ? $_POST['name'] : ''),
      'email' => (isset($_POST['ctct']) ? $_POST['ctct'] : ''),
      'subject' => (isset($_POST['subject']) ? $_POST['subject'] : ''),
      'comments' => (isset($_POST['comments']) ? $_POST['comments'] : ''),
      'files' => (!empty($_FILES['attachment']) ? $_FILES['attachment'] : []),
      'code' => (isset($_POST['code']) ? $_POST['code'] : '')
    );
    // Error checking..
    if (NAME_CHECK && $fm['name']=='') {
      $aErrorArray[] = $errors[2];
    }
    if (EMAIL_CHECK && !$FORM->email($fm['email'])) {
      $aErrorArray[] = $errors[3];
    }
    if (SUBJECT_CHECK && $fm['subject']=='') {
      $aErrorArray[] = $errors[4];
    }
    if (COMMENTS_CHECK && $fm['comments'] == '') {
      $aErrorArray[] = $errors[5];
    }
    if (ATTACHMENTS > 0 && !empty($fm['files'])) {
      for ($i=0; $i<count($fm['files']['tmp_name']); $i++) {
        $name  = (CLEAN_FILE_NAME ? $FORM->cleaner($fm['files']['name'][$i]) : $fm['files']['name'][$i]);
        $rname = $fm['files']['name'][$i];
        $temp  = $fm['files']['tmp_name'][$i];
        $size  = $fm['files']['size'][$i];
        if ($name && $temp && $size > 0) {
          $attachments[$temp] = $name;
          if (ALLOWED_EXTENSIONS && !in_array(strrchr(strtolower($rname), '.'), $FORM->extensions())) {
            $aErrorArray[] = str_replace(array('{name}', '{allowed}'), array(clean($rname), ALLOWED_EXTENSIONS), $errors[6]);
          }
          if ($size > MAX_FILE_SIZE && MAX_FILE_SIZE > 0) {
            $aErrorArray[] = str_replace(array('{name}', '{max}'), array(clean($rname), sizes(MAX_FILE_SIZE)), $errors[6]);
          }
        }
      }
    }
    if (ATTACHMENTS > 0 && ATTACH_ERROR_CHECK && empty($attachments)) {
      $aErrorArray[] = $errors[8];
    }
    if (ENABLE_CAPTCHA) {
      if ($fm['code'] == '' || $fm['code'] != captcha::check()) {
        $captcha_rel = 'yes';
        $aErrorArray[] = $errors[9];
      }
    }
    
    if (!empty($aErrorArray)) {
      $arr = array(
        $errors[0],
        str_replace('{count}', count($aErrorArray), $errors[1]) . '<br><br><span class="errors">' . implode('<br>', $aErrorArray) . '</span>',
        'err'
      );
    } else {
      foreach ($fm AS $key => $value) {
        if (!is_array($value) && !in_array($key, array('files'))) {
          $MAIL->addTag('{' . strtoupper($key) . '}', $value);
        }
      }
      if (ATTACHMENTS > 0 && !empty($attachments)) {
        $MAIL->attachments = $attachments;
      }
      $MAIL->sendMail(array(
        'to_name' => TO_NAME,
        'to_email' => TO_EMAIL,
        'from_name' => FROM_NAME,
        'from_email' => FROM_EMAIL,
        'replyto_name' => $fm['name'],
        'replyto_email' => $fm['email'],
        'add-addresses' => ADDITIONAL_EMAILS,
        'subject' => $fm['subject'],
        'comments' => $fm['comments'],
        'template' => PATH . 'content/lang/email/webmaster.txt',
        'html' => array(
          'wrapper' => PATH . 'content/lang/email/html-wrapper.html',
          'header' => $html_email[0],
          'footer' => $html_email[1]
        )
      ));
      if (AUTO_RESPONDER) {
        $MAIL->clearAttachments();
        $MAIL->attachments = [];
        $MAIL->sendMail(array(
          'to_name' => $fm['name'],
          'to_email' => $fm['email'],
          'from_name' => FROM_NAME,
          'from_email' => FROM_EMAIL,
          'replyto_name' => REPLY_TO_NAME,
          'replyto_email' => REPLY_TO_EMAIL,
          'subject' => $fm['subject'],
          'comments' => $fm['comments'],
          'template' => PATH . 'content/lang/email/auto_responder.txt',
          'html' => array(
            'wrapper' => PATH . 'content/lang/email/html-wrapper.html',
            'header' => $html_email[0],
            'footer' => $html_email[1]
          )
        ));
      }
      if (LOG_MESSAGES && LOG_FILE_NAME && is_dir(PATH . LOG_FILE_DIR) && is_writeable(PATH . LOG_FILE_DIR)) {
        date_default_timezone_set(TIMEZONE);
        $msg  = date(DATE_TIME_FORMAT) . nl();
        $msg .= $lang[2] . ': ' . $fm['name'] . nl();
        $msg .= $lang[3] . ': ' . $fm['email'] . nl();
        $msg .= $lang[4] . ': ' . $fm['subject'] . nl();
        $msg .= $lang[5] . ': ' . nl() . nl() . $fm['comments'] . nl() . nl();
        $msg .= str_repeat('->', 80) . nl() . nl();
        file_put_contents(PATH . LOG_FILE_DIR . '/' . LOG_FILE_NAME, $msg, FILE_APPEND);
      }
      $arr = array(
        $sent[0],
        $sent[1],
        'ok'
      );
    }
    echo $JSON->encode(array(
      'title' => $arr[0],
      'msg' => $arr[1],
      'cap_reload' => $captcha_rel,
      'status' => $arr[2],
      'rdr' => (REDIRECT_TO_URL && (substr(strtolower(REDIRECT_TO_URL), 0, 5) == 'http:' || substr(strtolower(REDIRECT_TO_URL), 0, 6) == 'https:') ? REDIRECT_TO_URL : '')
    ));
    break;

  case 'captcha':
    // Change parameters to suit your own design/colors..
    // Additional parameters in 'control/classes/class.captcha.php'..
    captcha::show(
      captcha::code()
    );
    break;

  default:
    include(PATH . 'control/header.php');
    $tpl = new Savant3();
    $tpl->assign('NAME', $lang[2]);
    $tpl->assign('EMAIL', $lang[3]);
    $tpl->assign('SUBJECT', $lang[4]);
    $tpl->assign('COMMENTS', $lang[5] . ' ' . $lang[11]);
    $tpl->assign('SEND', $lang[10]);
    $tpl->assign('ATTACHMENTS', (ATTACHMENTS > 0 ? $FORM->attachments($lang) : ''));
    $tpl->assign('CAPTCHA', (ENABLE_CAPTCHA ? $FORM->captcha($lang) : ''));
    $tpl->display('content/form.tpl.php');
    include(PATH . 'control/footer.php');
    break;
}

?>
